
Name:          ant-eclipse
Version:       1.0
Release:       %mkrel 6
Summary:       Eclipse projects generator from Ant scripts
Group:         Development/Java
License:       ASL 2.0
Url:           http://ant-eclipse.sourceforge.net/
Source0:       http://sourceforge.net/projects/ant-eclipse/files/ant-eclipse/1.0/ant-eclipse-1.0.src.tar.bz2
Source1:       ant-eclipse-1.0.pom
Patch0:        ant-eclipse-1.0-no-antdoc.patch
Patch1:        ant-eclipse-1.0-no-overview.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel >= 0:1.6.0
BuildRequires: ant
# antdoc
BuildRequires: gnu-regexp
BuildRequires: jcsc
BuildRequires: junit

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java >= 0:1.6.0
BuildArch:     noarch

%description
Ant-Eclipse is a task for the Java build tool Ant generating Eclipse projects to be just imported and used easily.
Ant build scripts are used as a central place for the configuration of sources and libraries which the
generated projects are based on.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -c

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%patch0 -p0
%patch1 -p0

%build
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath ant jcsc junit)
ant -Djdk.path=%{_jvmdir}/java package document

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 lib/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr doc/src/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NEWS NOTICE README TODO

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Tue Nov 05 2013 dmorgan <dmorgan> 1.0-6.mga4
+ Revision: 549537
- Remove empty macros

* Tue Oct 22 2013 umeabot <umeabot> 1.0-5.mga4
+ Revision: 545547
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 1.0-4.mga4
+ Revision: 501383
- Remove old and unsued maven macro

* Fri Jan 11 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 345594
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 1.0-2.mga3
+ Revision: 326640
- Build with Java7

* Fri Oct 21 2011 gil <gil> 1.0-1.mga2
+ Revision: 157104
- imported package ant-eclipse

